## iearoboticscom_wiki-20200301-wikidump.7z

=== Makefile ===
# Sprinter Arduino Project Makefile
# 
# Makefile Based on:
# Arduino 0011 Makefile
# Arduino adaptation by mellis, eighthave, oli.keller
#
# This has been tested with Arduino 0022.
# 
# This makefile allows you to build sketches from the command line
# without the Arduino environment (or Java).
#
# Detailed instructions for using the makefile:
#
#  1. Modify the line containg "INSTALL_DIR" to point to the directory that
#     contains the Arduino installation (for example, under Mac OS X, this
#     might be /Applications/arduino-0012).
#
#  2. Modify the line containing "PORT" to refer to the filename
#     representing the USB or serial connection to your Arduino board
#     (e.g. PORT = /dev/tty.USB0).  If the exact name of this file
#     changes, you can use * as a wildcard (e.g. PORT = /dev/tty.usb*).
#
#  3. Set the line containing "MCU" to match your board's processor. 
#     Older one's are atmega8 based, newer ones like Arduino Mini, Bluetooth
#     or Diecimila have the atmega168.  If you're using a LilyPad Arduino,
#     change F_CPU to 8000000.
#
#  4. Type "make" and press enter to compile/verify your program.
#
#  5. Type "make upload", reset your Arduino board, and press enter to
#     upload your program to the Arduino board.
#
# $Id$

TARGET = $(notdir $(CURDIR))
INSTALL_DIR = /usr/share/arduino/
UPLOAD_RATE = 38400
AVRDUDE_PROGRAMMER = stk500v1
PORT = /dev/ttyUSB0
MCU = atmega2560
#For "old" Arduino Mega
#MCU = atmega1280
#For Sanguinololu
#MCU = atmega644p 
F_CPU = 16000000


############################################################################
# Below here nothing should be changed...

ARDUINO = $(INSTALL_DIR)/hardware/arduino/cores/arduino
AVR_TOOLS_PATH = /usr/bin
SRC =  $(ARDUINO)/pins_arduino.c $(ARDUINO)/wiring.c \
$(ARDUINO)/wiring_analog.c $(ARDUINO)/wiring_digital.c \
$(ARDUINO)/wiring_pulse.c \
$(ARDUINO)/wiring_shift.c $(ARDUINO)/WInterrupts.c
CXXSRC = $(ARDUINO)/HardwareSerial.cpp $(ARDUINO)/WMath.cpp $(ARDUINO)/WString.cpp\
$(ARDUINO)/Print.cpp ./SdFile.cpp ./SdVolume.cpp ./Sd2Card.cpp
FORMAT = ihex


# Name of this Makefile (used for "make depend").
MAKEFILE = Makefile

# Debugging format.
# Native formats for AVR-GCC's -g are stabs [default], or dwarf-2.
# AVR (extended) COFF requires stabs, plus an avr-objcopy run.
DEBUG = stabs

OPT = s

# Place -D or -U options here
CDEFS = -DF_CPU=$(F_CPU)
CXXDEFS = -DF_CPU=$(F_CPU)

# Place -I options here
CINCS = -I$(ARDUINO)
CXXINCS = -I$(ARDUINO)

# Compiler flag to set the C Standard level.
# c89   - "ANSI" C
# gnu89 - c89 plus GCC extensions
# c99   - ISO C99 standard (not yet fully implemented)
# gnu99 - c99 plus GCC extensions
#CSTANDARD = -std=gnu99
CDEBUG = -g$(DEBUG)
CWARN = -Wall -Wstrict-prototypes
CTUNING = -funsigned-char -funsigned-bitfields -fpack-struct -fshort-enums -w -ffunction-sections -fdata-sections -DARDUINO=22
#CEXTRA = -Wa,-adhlns=$(<:.c=.lst)

CFLAGS = $(CDEBUG) $(CDEFS) $(CINCS) -O$(OPT) $(CWARN) $(CEXTRA) $(CTUNING)
CXXFLAGS = $(CDEFS) $(CINCS) -O$(OPT) -Wall $(CEXTRA) $(CTUNING)
#ASFLAGS = -Wa,-adhlns=$(<:.S=.lst),-gstabs 
LDFLAGS = -lm


# Programming support using avrdude. Settings and variables.
AVRDUDE_PORT = $(PORT)
AVRDUDE_WRITE_FLASH = -U flash:w:applet/$(TARGET).hex:i
AVRDUDE_FLAGS = -D -C $(INSTALL_DIR)/hardware/tools/avrdude.conf \
-p $(MCU) -P $(AVRDUDE_PORT) -c $(AVRDUDE_PROGRAMMER) \
-b $(UPLOAD_RATE)

# Program settings
CC = $(AVR_TOOLS_PATH)/avr-gcc
CXX = $(AVR_TOOLS_PATH)/avr-g++
OBJCOPY = $(AVR_TOOLS_PATH)/avr-objcopy
OBJDUMP = $(AVR_TOOLS_PATH)/avr-objdump
AR  = $(AVR_TOOLS_PATH)/avr-ar
SIZE = $(AVR_TOOLS_PATH)/avr-size
NM = $(AVR_TOOLS_PATH)/avr-nm
AVRDUDE = $(INSTALL_DIR)/hardware/tools/avrdude
REMOVE = rm -f
MV = mv -f

# Define all object files.
OBJ = $(SRC:.c=.o) $(CXXSRC:.cpp=.o) $(ASRC:.S=.o) 

# Define all listing files.
LST = $(ASRC:.S=.lst) $(CXXSRC:.cpp=.lst) $(SRC:.c=.lst)

# Combine all necessary flags and optional flags.
# Add target processor to flags.
ALL_CFLAGS = -mmcu=$(MCU) -I. $(CFLAGS)
ALL_CXXFLAGS = -mmcu=$(MCU) -I. $(CXXFLAGS)
ALL_ASFLAGS = -mmcu=$(MCU) -I. -x assembler-with-cpp $(ASFLAGS)


# Default target.
all: applet_files build sizeafter

build: elf hex 

applet_files: $(TARGET).pde
	# Here is the "preprocessing".
	# It creates a .cpp file based with the same name as the .pde file.
	# On top of the new .cpp file comes the WProgram.h header.
	# At the end there is a generic main() function attached.
	# Then the .cpp file will be compiled. Errors during compile will
	# refer to this new, automatically generated, file. 
	# Not the original .pde file you actually edit...
	test -d applet || mkdir applet
	echo '#include "WProgram.h"' > applet/$(TARGET).cpp
	cat $(TARGET).pde >> applet/$(TARGET).cpp
	cat $(ARDUINO)/main.cpp >> applet/$(TARGET).cpp

elf: applet/$(TARGET).elf
hex: applet/$(TARGET).hex
eep: applet/$(TARGET).eep
lss: applet/$(TARGET).lss 
sym: applet/$(TARGET).sym

# Program the device.  
upload: applet/$(TARGET).hex
	$(AVRDUDE) $(AVRDUDE_FLAGS) $(AVRDUDE_WRITE_FLASH)


	# Display size of file.
HEXSIZE = $(SIZE) --target=$(FORMAT) applet/$(TARGET).hex
ELFSIZE = $(SIZE)  applet/$(TARGET).elf
sizebefore:
	@if [ -f applet/$(TARGET).elf ]; then echo; echo $(MSG_SIZE_BEFORE); $(HEXSIZE); echo; fi

sizeafter:
	@if [ -f applet/$(TARGET).elf ]; then echo; echo $(MSG_SIZE_AFTER); $(HEXSIZE); echo; fi


# Convert ELF to COFF for use in debugging / simulating in AVR Studio or VMLAB.
COFFCONVERT=$(OBJCOPY) --debugging \
--change-section-address .data-0x800000 \
--change-section-address .bss-0x800000 \
--change-section-address .noinit-0x800000 \
--change-section-address .eeprom-0x810000 


coff: applet/$(TARGET).elf
	$(COFFCONVERT) -O coff-avr applet/$(TARGET).elf $(TARGET).cof


extcoff: $(TARGET).elf
	$(COFFCONVERT) -O coff-ext-avr applet/$(TARGET).elf $(TARGET).cof


.SUFFIXES: .elf .hex .eep .lss .sym

.elf.hex:
	$(OBJCOPY) -O $(FORMAT) -R .eeprom $< $@

.elf.eep:
	-$(OBJCOPY) -j .eeprom --set-section-flags=.eeprom="alloc,load" \
	--change-section-lma .eeprom=0 -O $(FORMAT) $< $@

# Create extended listing file from ELF output file.
.elf.lss:
	$(OBJDUMP) -h -S $< > $@

# Create a symbol table from ELF output file.
.elf.sym:
	$(NM) -n $< > $@

	# Link: create ELF output file from library.
applet/$(TARGET).elf: $(TARGET).pde applet/core.a 
	$(CC) $(ALL_CFLAGS) -Wl,--gc-sections -o $@ applet/$(TARGET).cpp -L. applet/core.a $(LDFLAGS)

applet/core.a: $(OBJ)
	@for i in $(OBJ); do echo $(AR) rcs applet/core.a $$i; $(AR) rcs applet/core.a $$i; done



# Compile: create object files from C++ source files.
.cpp.o:
	$(CXX) -c $(ALL_CXXFLAGS) $< -o $@ 

# Compile: create object files from C source files.
.c.o:
	$(CC) -c $(ALL_CFLAGS) $< -o $@ 


# Compile: create assembler files from C source files.
.c.s:
	$(CC) -S $(ALL_CFLAGS) $< -o $@


# Assemble: create object files from assembler source files.
.S.o:
	$(CC) -c $(ALL_ASFLAGS) $< -o $@



# Target: clean project.
clean:
	$(REMOVE) applet/$(TARGET).hex applet/$(TARGET).eep applet/$(TARGET).cof applet/$(TARGET).elf \
	applet/$(TARGET).map applet/$(TARGET).sym applet/$(TARGET).lss applet/core.a \
	$(OBJ) $(LST) $(SRC:.c=.s) $(SRC:.c=.d) $(CXXSRC:.cpp=.s) $(CXXSRC:.cpp=.d)

depend:
	if grep '^# DO NOT DELETE' $(MAKEFILE) >/dev/null; \
	then \
		sed -e '/^# DO NOT DELETE/,$$d' $(MAKEFILE) > \
			$(MAKEFILE).$$$$ && \
		$(MV) $(MAKEFILE).$$$$ $(MAKEFILE); \
	fi
	echo '# DO NOT DELETE THIS LINE -- make depend depends on it.' \
		>> $(MAKEFILE); \
	$(CC) -M -mmcu=$(MCU) $(CDEFS) $(CINCS) $(SRC) $(ASRC) >> $(MAKEFILE)

.PHONY:	all build elf hex eep lss sym program coff extcoff clean depend applet_files sizebefore sizeafter

=== Rtk/Makefile ===
# **************************************************************************
# Fichero makefile.
# --------------------------------------------------------------------------
# Licencia GPL. Juan Gonzalez Gomez
# --------------------------------------------------------------------------
#
#***************************************************************************

#---- Compilador
CC = g++
CPPFLAGS = -Wall -Iinclude -I../drawstuff/include
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU

RTK_DEP = src/Rtk-Y1Module.o         src/Rtk-Robot.o                      \
          src/Rtk-Chain.o            src/Rtk-Simulation-Engine.o          \
          src/Rtk-Robot-Group.o      src/Rtk-PP.o                         \
          src/Rtk-Sampled-Function.o src/Rtk-Fitness.o                    \
          src/Rtk-Generator.o        src/T1D.o

RTK3D_DEP = src/Rtk-3D.o


#-- Ejemplos de prueba
NAME1= test-modulo-teclas
DEP1 = test/$(NAME1).o libRtk3D.a libRtk.a

NAME2= test-robots
DEP2 = test/$(NAME2).o libRtk3D.a libRtk.a


all: $(NAME1) $(NAME2)

  
#---------------------------
#       OBJETIVOS
#---------------------------
libRtk.a : $(RTK_DEP)
	    ar rc libRtk.a $(RTK_DEP)
      
clean::
	  rm -f libRtk.a $(RTK_DEP) *.bak *~


libRtk3D.a : $(RTK3D_DEP)
	           ar rc libRtk3D.a src/Rtk-3D.o 
clean::
	  rm -f libRtk3D.a $(RTK3D_DEP) *.bak *~             


#------------------------------
$(NAME1): $(DEP1)
	    $(CC) -o $@ $(DEP1) ../drawstuff/libdrawstuff.a $(LIB3D) 
			
clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~

#------------------------------
$(NAME2): $(DEP2)
	    $(CC) -o $@ $(DEP2) ../drawstuff/libdrawstuff.a $(LIB3D) 
			
clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~

=== experimentos/Makefile ===
# **************************************************************************
# Fichero makefile.
# --------------------------------------------------------------------------
# Licencia GPL. Juan Gonzalez Gomez
# --------------------------------------------------------------------------
#
#***************************************************************************

#---- Compilador
CC = g++
CPPFLAGS = -Wall -Iinclude -I../drawstuff/include -I../Rtk/include
LIB = -lm -lode 
LIB3D = $(LIB) -lX11 -lGL -lGLU

LIBRTK= ../Rtk/libRtk.a
LIBRTK3D= ../Rtk/libRtk3D.a
LIBDS=  ../drawstuff/libdrawstuff.a


#------------
#-- View
#------------
NAME1= Espectro_N_modulo
DEP1 = modulo/$(NAME1).o

NAME2= Osciloscopio-Y1
DEP2 = modulo/$(NAME2).o

NAME3= Osciloscopio-Y1-escalon
DEP3 = modulo/$(NAME3).o

NAME4= Osciloscopio-Y1-escalon2
DEP4 = modulo/$(NAME4).o

all: $(NAME1) $(NAME2) $(NAME3) $(NAME4)

  
#---------------------------
#       OBJETIVOS
#---------------------------

$(NAME1): $(DEP1)
	    $(CC) -o $@ $(DEP1)  $(LIBRTK) $(LIB) 
			
clean::
	  rm -f $(NAME1) $(DEP1) *.bak *~
    

$(NAME2): $(DEP2)
	    $(CC) -o $@ $(DEP2)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME2) $(DEP2) *.bak *~
    
$(NAME3): $(DEP3)
	    $(CC) -o $@ $(DEP3)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME3) $(DEP3) *.bak *~
    
$(NAME4): $(DEP4)
	    $(CC) -o $@ $(DEP4)  $(LIBRTK3D) $(LIBRTK) $(LIBDS) $(LIB) $(LIB3D)
			
clean::
	  rm -f $(NAME4) $(DEP4) *.bak *~

=== debian/changelog ===
libiris (1.2-5) unstable; urgency=low

  * Anadidos los ultimos cambios que se han realizado en la libiris-1.2 

 -- juan <juan@Roma.local.lan>  Sun, 16 Sep 2007 17:03:27 +0200

libiris (1.2-4) unstable; urgency=low

  * Anadidos como ejemplos los scripts de los directorios test-IntelHex y
    test-libIris. Tambien los ficheros .hex que hay en ellos

 -- juan <juan@Roma.local.lan>  Sun,  2 Sep 2007 01:09:54 +0200

libiris (1.2-3) unstable; urgency=low

  * Ademas de instalar la libreria libiris se instalan las tres utilidades:
    -hex-view
    -hex2python
    -skypic-test

 -- juan <juan@Roma.local.lan>  Sun,  2 Sep 2007 00:57:15 +0200

libiris (1.2-2) unstable; urgency=low

  * Cambiado el nombre del paquete a python-libiris para seguir las
    reglas de debian

 -- juan <juan@Roma.local.lan>  Sat,  1 Sep 2007 13:20:05 +0200

libiris (1.2-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Juan Gonzalez <juan@iearobotics.com>  Fri, 31 Aug 2007 21:59:13 +0200

=== debian/control ===
Source: libstargate
Section: python
Priority: optional
Maintainer: Juan Nadie <juan.nadie@loquesea.es>
Build-Depends: debhelper (>= 5.0.38)
Build-Depends-Indep: cdbs (>= 0.4.43), python-all-dev (>= 2.3.5-11), python-central (>= 0.5.6), docbook-xsl
Standards-Version: 3.7.2
XS-Python-Version: 2.4, 2.5

Package: python-libstargate
Architecture: any
Depends: ${python:Depends}, python-serial
XB-Python-Version: 2.4, 2.5
Description: Libreria para descarga de programas en la tarjeta Skypic
 Libreria en python para implementar aplicaciones que pueden descargar
 firmware en la tarjeta Skypic, basada en el PIC16F876A

=== debian/rules ===
#!/usr/bin/make -f
  
DEB_PYTHON_SYSTEM=pycentral
DBK2MAN_XSL=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

build/pydownloader-wx::
	xsltproc --nonet $(DBK2MAN_XSL) man/pydownloader-wx.xml

install/pydownloader-wx::
	mv $(CURDIR)/debian/pydownloader-wx/usr/bin/pydownloader-wx.py $(CURDIR)/debian/pydownloader-wx/usr/bin/pydownloader-wx
	
clean::
	rm -f pydownloader-wx.1
